Subject: Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Gregory Heytings <[email-masked]>
Date: Thu, 09 Sep 2021 12:12:40 +0000

>> * src/eval.c (Fsetq): Display warning when a custom variable with a 
>> :set property is set with setq.
>
> It's usually fine to set user options that have a :set form with setq -- 
> if you do it before the .el file it belongs in is loaded.  Finding a 
> variable it's problematic to use setq on in .emacs took some digging 
> (when I added the example in the manual).
>

Hmm...  Unless I'm missing something, the case you mention (setq'ing a 
variable before the .el file is loaded) will not issue a warning.  The 
example I used is (setq gdb-many-windows t).